package io.renren.modules.admin.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import io.renren.common.utils.PageUtils;
import io.renren.modules.admin.entity.EmployeeEntity;
import javafx.scene.control.Pagination;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 
 *
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2020-02-17 13:38:28
 */
public interface EmployeeService extends IService<EmployeeEntity> {

    PageUtils queryPage(Map<String, Object> params);

    List<EmployeeEntity> findAllByisDel(int isDel);

    /**
     * 根据真实姓名模糊查询
     * 
     * @param truename
     * @return
     */
    List<EmployeeEntity> findAllByTrueName(String truename);

    boolean updatePasswordByid(Long id);

    void delete(Long[] ids);

    // 多表联查 + 分页
    PageUtils queryList(int page, int limit, String key);

    /**
     * 根据真实姓名模糊查询id
     * 
     * @param truename
     * @return
     */
    List<Map<String, Object>> selectNameList(String truename);

    /**
     * 根据单位获取员工列表
     * 
     * @param companyId
     * @return
     */
    List<Map<String, Object>> selectNameListByCompanyId(Long companyId);

    List<Map<String, Object>> getContact(String ids);
}
